namespace MyPictureViewer.Assets
{
   using System;
   using System.Collections.Generic;

   public interface IPhotoProvider
   {
      event EventHandler DataAvailable;
      IList<PhotoInfo> Photos { get; set; }

      /// <summary>
      /// Load photos
      /// </summary>
      void LoadPhotos();
   }
}