﻿namespace DemoIoc.Assets
{
   using System;
   using System.Collections.Generic;
   using RiaLibrary.Web;

   public class DesignTimeProvider : IDataProvider
   {
      public void LoadEmployees(Action<IEnumerable<Employee>> callback)
      {
         List<Employee> employees = new List<Employee>()
         {
            new Employee() { FirstName = "Mario", LastName = "Rossi", 
                             Address = "Via Rivoltana, 13", City = "Milano", 
                             Country = "Italy",BirthDate = DateTime.Now.AddYears(-21),
                             PostalCode = "20100"}
         };

         callback(employees);
      }
   }
}
