﻿
namespace DemoIoc.Services
{
   using System.ComponentModel;
   using ViewModels;

   public class ViewModelLocator
   {

      public ViewModelLocator()
      {
         if (DesignerProperties.IsInDesignTool)
         {
            this.ServiceLocator = new ServiceLocator();
         }
      }

      public ShellViewModel ShellViewModel
      {
         get { return this.ServiceLocator.Get<ShellViewModel>(); }
      }

      public IServiceLocator ServiceLocator { get; set; }
   }
}
