﻿using System;

namespace TestProject.Assets
{
   using System.Collections.Generic;
   using DemoIoc.Assets;
   using RiaLibrary.Web;

   public class TestDataProvider : IDataProvider
   {
      public void LoadEmployees(Action<IEnumerable<Employee>> callback)
      {
         this.LoadInvoked = true;
         List<Employee> employees = new List<Employee>()
         {
            new Employee() { FirstName = "Mario", LastName = "Rossi", 
                             Address = "Via Rivoltana, 13", City = "Milano", 
                             Country = "Italy",BirthDate = DateTime.Now.AddYears(-21),
                             PostalCode = "20100"}
         };

         callback(employees);
      }

      public bool LoadInvoked { get; set; }
   }
}
