﻿using DemoIoc.ViewModels;
using Microsoft.VisualStudio.TestTools.UnitTesting;

namespace TestProject
{
   using System.Collections.Generic;
   using System.Linq;
   using Assets;
   using RiaLibrary.Web;

   [TestClass]
   public class Tests
   {
      [TestMethod]
      public void TestThatEmployeesAreLoaded()
      {
         TestDataProvider testDataProvider = new TestDataProvider();
         ShellViewModel shellViewModel = new ShellViewModel(testDataProvider);

         Assert.IsNotNull(shellViewModel.Employees, "Employess property should not be null");
         List<Employee> shellEmployees = shellViewModel.Employees.ToList();
         Assert.AreEqual(shellEmployees.Count, 1, "One employee expected");
         Employee employee = shellEmployees.First();
         Assert.AreEqual("Mario", employee.FirstName, "Mario expected as Firstname");
         Assert.AreEqual("Rossi", employee.LastName, "Rossi expected as Firstname");
      }
   }
}