﻿
namespace DemoIoc.ViewModels
{
   using System.Collections.Generic;
   using Assets;
   using RiaLibrary.Web;

   public class ShellViewModel : ViewModelBase
   {
      private IEnumerable<Employee> employees;

      public ShellViewModel(IDataProvider dataProvider)
      {
         dataProvider.LoadEmployees((employees) => this.Employees = employees);
      }

      public IEnumerable<Employee> Employees
      {
         get
         {
            return this.employees;
         }

         set
         {
            if (value != this.employees)
            {
               this.employees = value;
               this.OnPropertyChanged("Employees");
            }
         }
      }
   }
}
