
namespace NavigationDemo.Assets
{
   using Navigation;

   /// <summary>
   /// Application controller interface
   /// </summary>
   public interface IApplicationController
   {
      /// <summary>
      /// Gets or sets Navigation related to main shell frame
      /// </summary>
      INavigationService ShellNavigationService { get; set; }

      /// <summary>
      /// Gets or sets Navigation related to home frame
      /// </summary>
      INavigationService NavigationService { get; set; }
   }
}