﻿
namespace MvvmOnWindowsPhone.Services
{
   using GalaSoft.MvvmLight.Messaging;
   using Messages;
   using Microsoft.Phone.Shell;

   public class LifeCycleApplicationService : PhoneApplicationService
   {
      public LifeCycleApplicationService()
      {
         this.Deactivated += this.OnDeactivated;
         this.Activated += this.OnActivated;
         this.Launching += this.OnStartup;
         this.Closing += this.OnShutdown;
      }

      private void OnShutdown(object sender, ClosingEventArgs e)
      {
         TombstoningMessage message = new TombstoningMessage("Shutdown");
         Messenger.Default.Send(message);
      }

      private void OnStartup(object sender, LaunchingEventArgs e)
      {
         TombstoningMessage message = new TombstoningMessage("Startup");
         Messenger.Default.Send(message);
      }

      private void OnActivated(object sender, ActivatedEventArgs e)
      {
         TombstoningMessage message = new TombstoningMessage("Resume");
         Messenger.Default.Send(message);
      }

       private void OnDeactivated(object sender, DeactivatedEventArgs e)
      {
         TombstoningMessage message = new TombstoningMessage("Suspend");
         Messenger.Default.Send(message);
      }
   }
}
