﻿using System;

namespace MyPictureViewer.Converters
{
   using System.Globalization;
   using System.Net;
   using System.Windows.Data;
   using System.Windows.Media.Imaging;

   public class CommentConverter : IValueConverter
   {
      public object Convert(object value, Type targetType, object parameter, CultureInfo culture)
      {
         string comment=value.ToString();
         return string.IsNullOrEmpty(comment) ?
                                     "No comment" :
                                     comment;
      }

      public object ConvertBack(object value, Type targetType, object parameter, CultureInfo culture)
      {
         throw new NotImplementedException();
      }
   }
}
