﻿
namespace CloseTheWindow.Services
{
   using GalaSoft.MvvmLight.Messaging;
   using ViewModels;

   public class ViewModelLocator
   {
      public ShellViewModel ShellViewModel
      {
         get
         {
            DialogService dialogService = new DialogService();
            WindowManager windowManager = new WindowManager();
            return new ShellViewModel(ViewModelLocator.Messenger, dialogService, windowManager);
         }
      }

      public DetailViewModel DetailViewModel
      {
         get
         {
            return new DetailViewModel(ViewModelLocator.Messenger);
         }
      }

      public static IMessenger Messenger
      {
         get { return GalaSoft.MvvmLight.Messaging.Messenger.Default; }
      }
   }
}
