﻿using System.Windows;

namespace CloseTheWindow
{
   using Messages;
   using Services;

   /// <summary>
   /// Interaction logic for MainWindow.xaml
   /// </summary>
   public partial class Shell : Window
   {
      public Shell()
      {
         InitializeComponent();
         ViewModelLocator.Messenger.Register<QuitMessage>(this, (message) =>
                                                     {
                                                        this.Close();
                                                     });
      }
   }
}
