﻿
namespace NavigationDemo.Assets
{
   using Navigation;

   /// <summary>
   /// Application coordinator
   /// </summary>
   public class ApplicationController : IApplicationController
   {
      /// <summary>
      /// Gets or sets Navigation related to main shell frame
      /// </summary>
      public INavigationService ShellNavigationService { get; set; }


      /// <summary>
      /// Gets or sets Navigation related to home frame
      /// </summary>
      public INavigationService NavigationService { get; set; }
   }
}
