﻿
namespace NavigationDemo.Services
{
   /// <summary>
   /// Represents a Service locator
   /// </summary>
   public interface IServiceLocator
   {
      /// <summary>
      /// Gets a type from service locator
      /// </summary>
      /// <typeparam name="T">Type to retrieve</typeparam>
      /// <returns>Requested type</returns>
      T Get<T>();
   }
}