﻿
namespace NavigationDemo.ViewModels
{
   using NavigationDemo.Assets;
   using NavigationDemo.Services;

   /// <summary>
   /// ViewModel associated with PreSales view
   /// </summary>
   public class PreSalesViewModel : ApplicationViewModelBase
   {
      private readonly IDialogService dialogService;

      /// <summary>
      /// Initializes a new instance of the PreSalesViewModel class
      /// </summary>
      /// <param name="applicationController">Global application controller</param>
      public PreSalesViewModel(IApplicationController applicationController)
         : base(applicationController)
      {
      }
   }
}
