﻿using System;

namespace MvvmOnWindowsPhone.Services
{
   using Microsoft.Phone.Controls;

   public class Navigator : INavigator
   {
      private readonly PhoneApplicationFrame applicationFrame;

      public Navigator(PhoneApplicationFrame applicationFrame)
      {
         this.applicationFrame = applicationFrame;
      }

      public void Navigate(string uri)
      {
         this.applicationFrame.Navigate(new Uri(uri, UriKind.RelativeOrAbsolute));
      }
   }
}
